#!/bin/sh

output=$PWD/README.md
pedazos=$PWD/.pedazos_de_readme
readme_header=$pedazos/HEADER.md
readme_install_pre=$pedazos/INSTALL_pre.md
readme_install_post=$pedazos/INSTALL_post.md
readme_included=$pedazos/INCLUDED.md
install_script=$PWD/install.sh

cat $readme_header >$output
cat $readme_install_pre >>$output
cat $install_script | tail -n +2 >>$output
cat $readme_install_post >>$output
cat $readme_included >>$output
for item in $PWD/srcpkgs/*; do
	. $item/template
	echo "- $pkgname - $short_desc" >>$output
	echo "\t- v$version - $homepage" >>$output
done
